﻿@model JavnaNabava.Model.Dokument

@{
    ViewData["Title"] = "Novi dokument";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Novi dokument</h1>

<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="CreateDokumentForm" method="post">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="UrudzbeniBr" class="control-label"></label>
                <input asp-for="UrudzbeniBr" class="form-control" />
                <span asp-validation-for="UrudzbeniBr" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Naslov" class="control-label"></label>
                <input asp-for="Naslov" class="form-control" />
                <span asp-validation-for="Naslov" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="DatumDokumenta" class="control-label"></label>
                <input asp-for="DatumDokumenta" class="form-control" />
                <span asp-validation-for="DatumDokumenta" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="FileBinary" class="control-label"></label>
                <input type="text" asp-for="FileBinary" class="form-control" />
                <span asp-validation-for="FileBinary" class="text-danger"></span>
            </div>
            <span>Nisam uspio složiti upload pravog file-a. Za sad je postavljen String kako bi simulirao</span>
            <div class="form-group">
                <label asp-for="FkVrstaDokumentaId" class="control-label"></label>
                <select asp-for="FkVrstaDokumentaId" class="form-control" asp-items="ViewBag.vrste">
                    <option selected value="" disabled>Odaberite vrstu dokumenta</option>
                </select>
            </div>
            <div class="form-group">
                <label asp-for="FkPonudaId" class="control-label"></label>
                <select asp-for="FkPonudaId" class="form-control" asp-items="ViewBag.ponude">
                    <option selected value="" disabled>Odaberite ID ponude</option>
                </select>
            </div>
            <div class="form-group">
                <label asp-for="FkPonudaStrucnjakId" class="control-label"></label>
                <select asp-for="FkPonudaStrucnjakId" class="form-control" asp-items="ViewBag.ponudaStrucnjaci">
                    <option selected value="" disabled>Odaberite OIB stručnjaka</option>
                </select>
            </div>
            <div class="form-group">
                <label asp-for="FkNatjecajDokumentEvBr" class="control-label"></label>
                <select asp-for="FkNatjecajDokumentEvBr" class="form-control" asp-items="ViewBag.natjecaji">
                    <option selected value="" disabled>Odaberite natječaj</option>
                </select>
            </div>

            <div class="form-group text-center">
                <button asp-action="ProcessCreate" class="btn btn-primary" type="submit">Stvori</button>
                <a asp-action="Index" class="btn btn-secondary">Odustani</a>
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Natrag na popis</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
